curl --request GET \
--url https://api.tensormesh.ai/v1/models \
--header 'Authorization: Bearer <token>'{
"models": [
{
"modelId": "<string>",
"deploymentId": "<string>",
"userId": "<string>",
"description": "<string>",
"modelPath": "<string>",
"modelName": "<string>",
"status": "MODEL_STATUS_UNSPECIFIED",
"events": [
{
"createdAt": "2023-11-07T05:31:56Z",
"log": "<string>",
"eventType": "EVENT_TYPE_UNSPECIFIED"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"modelSpec": {},
"infra": {
"cloudProvider": "CLOUD_PROVIDER_UNSPECIFIED",
"nebiusRegion": "NEBIUS_REGION_UNSPECIFIED",
"lambdaRegion": "LAMBDA_REGION_UNSPECIFIED",
"onpremRegion": "<string>"
},
"gpuCount": 123,
"gpuType": "GPU_TYPE_UNSPECIFIED",
"replicas": 123,
"endpoint": "<string>",
"apiKey": "<string>"
}
]
}Lists all models owned by a user.
curl --request GET \
--url https://api.tensormesh.ai/v1/models \
--header 'Authorization: Bearer <token>'{
"models": [
{
"modelId": "<string>",
"deploymentId": "<string>",
"userId": "<string>",
"description": "<string>",
"modelPath": "<string>",
"modelName": "<string>",
"status": "MODEL_STATUS_UNSPECIFIED",
"events": [
{
"createdAt": "2023-11-07T05:31:56Z",
"log": "<string>",
"eventType": "EVENT_TYPE_UNSPECIFIED"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"modelSpec": {},
"infra": {
"cloudProvider": "CLOUD_PROVIDER_UNSPECIFIED",
"nebiusRegion": "NEBIUS_REGION_UNSPECIFIED",
"lambdaRegion": "LAMBDA_REGION_UNSPECIFIED",
"onpremRegion": "<string>"
},
"gpuCount": 123,
"gpuType": "GPU_TYPE_UNSPECIFIED",
"replicas": 123,
"endpoint": "<string>",
"apiKey": "<string>"
}
]
}Bearer authentication using an access token. Format: Bearer <access_token>
User ID for authorization. Must be a valid UUID.
A successful response.
ListModelsByInfraResponse contains the list of models owned by a user.
List of deployments in the cluster.
Show child attributes